Subject: Re: Guess the base-commit of a series

From: Eric Wong <[email-masked]>
Date: Thu, 30 Apr 2020 17:33:02 +0000

Konstantin Ryabitsev <[email-masked]> wrote:
> Hello:
> 
> Given a/ b/ filenames and blob index information, is there a relatively 
> easy way to find the latest branch commit where a patch series would 
> apply cleanly (i.e. guess the base-commit)?

Not as far as I know...

Indexing git repos to store a reverse mapping of
blobs => commits/trees/tags is something I've been planning
as part of public-inbox (for the "solver" subcomponent which
recreates blobs from patch mails, I want it to recreate trees).

I'm not sure if/when I'll get around to it; and it's
space-intensive with Xapian, too.